cascading.flow

## Class FlowTapException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.CascadingException
        - - cascading.flow.FlowException
          - - cascading.flow.FlowTapException

All Implemented Interfaces:
  java.io.Serializable

    public class FlowTapException
    extends FlowException

Class FlowTapException is thrown during flow execution to denote an issue with a source or sink `Tap`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FlowTapException()`
`FlowTapException(java.lang.String message)`
`FlowTapException(java.lang.String flowName, java.lang.String message)`
`FlowTapException(java.lang.String flowName, java.lang.String message, java.lang.Throwable throwable)`
`FlowTapException(java.lang.String message, java.lang.Throwable throwable)`
`FlowTapException(java.lang.Throwable throwable)`

### Method Summary

### Methods inherited from class cascading.flow.FlowException

`getFlowName`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FlowTapException

    public FlowTapException()

#### FlowTapException

    public FlowTapException(java.lang.String message)

#### FlowTapException

    public FlowTapException(java.lang.String message,
                    java.lang.Throwable throwable)

#### FlowTapException

    public FlowTapException(java.lang.String flowName,
                    java.lang.String message,
                    java.lang.Throwable throwable)

#### FlowTapException

    public FlowTapException(java.lang.String flowName,
                    java.lang.String message)

#### FlowTapException

    public FlowTapException(java.lang.Throwable throwable)